#include "pch.h"
#include "log.h"
#include "legacy_ui_overlay_services.h"
#include "node_settings.h"
#include "layout.h"

Node* NodeSettings::clone_instantiate() const
{
    return new NodeSettings();
}

void NodeSettings::init()
{
    SetPosition(0, 0);
    SetWidthP(100);
    SetHeightP(100);
    SetPositioning(YGPositionTypeAbsolute);
    add_child_file("data/dialogs/settings.xml", "settings");
    btnOk = find<NodeButton>("btn-ok");
    pp::panopainter::bind_legacy_click_destroys_node(*btnOk, *this);
}

kEventResult NodeSettings::handle_event(Event* e)
{
    return kEventResult::Consumed;
}
